//
//  ChecklistItem.swift
//  Checklists
//
//  Created by Kary Clements on 12/24/17.
//  Copyright © 2017 Kary Clements. All rights reserved.
//

import Foundation

class ChecklistItem: NSObject, Codable {
    var text = ""
    var checked = false
    var dueDate = Date()
    var shouldRemind = false
    var itemID: Int
    
    override init() {
        itemID = DataModel.nextChecklistItemID()
        super.init()
    }
    func toggleChecked() {
        checked = !checked
    }
}
